import random

MAX = 100

#from web for Python < 3.5 that has function math.isclose()
# numpy has also isclose()
def isclose(a, b, rel_tol=1e-09, abs_tol=0.0):
    return abs(a-b) <= max(rel_tol * max(abs(a), abs(b)), abs_tol)

def main(num_loops=1000):
    for i in range(num_loops):
        num = random.randint(0, MAX)
        denom = random.randint(0, MAX)
        if isclose(denom,0.0):
            print("{} divided by {} is undefined".format(num, denom))
        else:
            result = num / float(denom)
            print("{} divided by {} is {:.2f}".format(num, denom, result))

if __name__ == "__main__":
    import sys
    arg = sys.argv[-1]
    if arg.isdigit():
        main(arg)
    else:
        main()
        
